> For the complete documentation index, see [llms.txt](https://docs.oku.trade/home/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.oku.trade/home/extra-information/oku-api.md).

# Oku API

### **Oku API is the very first Uniswap v3 API**

All the data on Oku Trade and Analytics is powered by the Oku API, a groundbreaking tool catered exclusively to the needs of applications built on top of Uniswap v3.

With Oku’s API, consumers can quickly retrieve a pool, token, position, user, pricing, and much more. Our custom logic for caching pool data ensures fast and efficient retrieval of initialized pool liquidity at any point in time.

We provide a [typescript client](https://www.npmjs.com/package/@gfxlabs/oku) and [developer documentation](https://oku.trade/api?utm_source=mirror\&utm_medium=blog\&utm_campaign=api) to make getting started quick and painless. Unlike popular crypto market data interfaces, access to the API isn’t hidden behind a signup form or auth key - you can jump right in!


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.oku.trade/home/extra-information/oku-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
